Skip to main content
POST
/
orders
/
status
Get Specific Orders' Status
curl --request POST \
  --url https://futures.kraken.com/derivatives/api/v3/orders/status \
  --header 'APIKey: <api-key>' \
  --header 'Authent: <api-key>'
{
  "orders": [
    {
      "order": {
        "type": "TRIGGER_ORDER",
        "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cliOrdId": "<string>",
        "symbol": "<string>",
        "side": "<string>",
        "quantity": 123,
        "filled": 123,
        "limitPrice": 123,
        "reduceOnly": true,
        "timestamp": "<string>",
        "lastUpdateTimestamp": "<string>",
        "priceTriggerOptions": {
          "triggerPrice": 123,
          "triggerSide": "TRIGGER_ABOVE",
          "triggerSignal": "MARK_PRICE"
        },
        "triggerTime": "<string>"
      },
      "status": "ENTERED_BOOK",
      "updateReason": "LOADING_MARKET",
      "error": "MARKET_SUSPENDED"
    }
  ],
  "result": "success",
  "serverTime": "2020-08-27T17:03:33.196Z"
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

APIKey
string
header
required

General API key with full access

Authent
string
header
required

Authentication string

Query Parameters

orderIds
string<uuid>[]

UIDs associated with orders or triggers.

cliOrdIds
string[]

Client Order IDs associated with orders or triggers.

Response

200 - application/json
orders
object[]
required
result
enum<string>
required
Available options:
success
Example:

"success"

serverTime
string<date-time>
required

Server time in Coordinated Universal Time (UTC)

Example:

"2020-08-27T17:03:33.196Z"